import { DataProviderArgs } from '~/types/interfaces'

abstract class BaseHook {
  public static priority = 255

  // eslint-disable-next-line require-await
  async invoke (_args: DataProviderArgs): Promise<any> {
    throw new Error('Not implemented')
  }

  static support (_args: DataProviderArgs): boolean {
    throw new Error('Not implemented')
  }
}

export default BaseHook
